Last Comment Bug 771498 - FileHandle: getFile() should return a DOMRequest (instead of a FileRequest)
: FileHandle: getFile() should return a DOMRequest (instead of a FileRequest)
Status: RESOLVED FIXED
[qa-]
:
Product: Core
Classification: Components
Component: DOM (show other bugs)
: unspecified
: All All
: -- normal (vote)
: mozilla16
Assigned To: Jan Varga [:janv]
:
Mentors:
Depends on:
Blocks: 726593
  Show dependency treegraph
 
Reported: 2012-07-06 06:35 PDT by Jan Varga [:janv]
Modified: 2012-08-14 08:16 PDT (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
unaffected
unaffected
fixed
fixed
unaffected


Attachments
fix (9.23 KB, patch)
2012-07-06 23:07 PDT, Jan Varga [:janv]
jonas: review+
akeybl: approval‑mozilla‑aurora+
Details | Diff | Splinter Review

Description Jan Varga [:janv] 2012-07-06 06:35:55 PDT

    
Comment 1 Jan Varga [:janv] 2012-07-06 23:07:55 PDT
Created attachment 639938 [details] [diff] [review]
fix
Comment 2 Jonas Sicking (:sicking) No longer reading bugmail consistently 2012-07-09 16:03:56 PDT
Comment on attachment 639938 [details] [diff] [review]
fix

Review of attachment 639938 [details] [diff] [review]:
-----------------------------------------------------------------

Looks great!
Comment 3 Jonas Sicking (:sicking) No longer reading bugmail consistently 2012-07-09 16:06:54 PDT
Comment on attachment 639938 [details] [diff] [review]
fix

[Approval Request Comment]
Bug caused by (feature/regressing bug #): 
This is a bug in a new feature

User impact if declined:
There's a risk that developers will misunderstand how this new API is supposed to be used. This has already happened which is how we found this bug. Such misunderstanding will lead to a slower website and probably in the future we'll be foreced to break this behavior, causing websites to break.

Testing completed (on m-c, etc.):
Patch contains mochitest and should land very soon on m-c.

Risk to taking this patch (and alternatives if risky): 
There's very little risk. The patch logic is very simple, and it strictly speaking just removes functionality from websites.

String or UUID changes made by this patch:
Only changes the UUID of APIs which are new for FF15
Comment 5 Ryan VanderMeulen [:RyanVM] 2012-07-10 15:47:54 PDT
https://hg.mozilla.org/mozilla-central/rev/5549659290f7
Comment 6 Alex Keybl [:akeybl] 2012-07-12 15:29:58 PDT
Comment on attachment 639938 [details] [diff] [review]
fix

[Triage Comment]
New APIs in FF15, so no problem with approving this change. Can you make sure to block the original feature bug on this one? Thanks.

Note You need to log in before you can comment on or make changes to this bug.